Bug 967485 - Review Request: nf3d - GANTT-style visualization for Netfilter connections and logged packets
Review Request: nf3d - GANTT-style visualization for Netfilter connections an...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 05:26 EDT by Christopher Meng
Modified: 2014-03-03 08:01 EST (History)
2 users (show)

See Also:
Fixed In Version: nf3d-0.8-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:27:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-27 05:26:01 EDT
Spec URL: http://cicku.me/nf3d.spec
SRPM URL: http://cicku.me/nf3d-0.7-1.fc20.src.rpm 
Description: nf3d is a Netfilter visualization tool. It displays connections and
logged packets in a GANTT diagram fashion.
Fedora Account System Username: cicku
Comment 1 Douglas Schilling Landgraf 2013-05-27 22:23:33 EDT
Christopher,

For this package please look this page:
http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

Can you please also check the following rpmlint output:
nf3d.noarch: W: non-conffile-in-etc /etc/nf3d.conf
http://fedoraproject.org/wiki/Common_Rpmlint_issues#non-conffile-in-etc

nf3d.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/nf3d/infos.py
Can you please notify upstream developers?
http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

nf3d.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/nf3d/__init__.py 0644L /usr/bin/env
nf3d.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/nf3d/connobj.py 0644L /usr/bin/env
http://fedoraproject.org/wiki/Packaging_tricks

nf3d.noarch: W: no-manual-page-for-binary nf3d
http://fedoraproject.org/wiki/Packaging:Guidelines#Man_pages
Can you please open a ticket/bugzilla to upstream just for the record?

Thanks!
Comment 2 Christopher Meng 2013-05-28 00:28:36 EDT
Thanks for figuring out the issues, I'll fix them ASAP.
Comment 3 Christopher Meng 2013-05-28 05:57:59 EDT
NEW:

Spec URL: http://cicku.me/nf3d.spec
SRPM URL: http://cicku.me/nf3d-0.8-1.fc20.src.rpm
Comment 4 Douglas Schilling Landgraf 2013-05-30 01:01:50 EDT
[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review

Rpmlint
-------
Checking: nf3d-0.8-1.fc18.noarch.rpm
nf3d.noarch: W: no-manual-page-for-binary nf3d
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

There is no man page, if possible work with upstream to provide man-page.

Rpmlint (installed packages)
----------------------------
# rpmlint nf3d
nf3d.noarch: W: no-documentation
nf3d.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/nf3d/infos.py
nf3d.noarch: W: non-conffile-in-etc /etc/nf3d.conf
nf3d.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/nf3d/__init__.py 0644L /usr/bin/env
nf3d.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/nf3d/__init__.py
nf3d.noarch: E: incorrect-fsf-address /usr/bin/nf3d
nf3d.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/nf3d/connobj.py 0644L /usr/bin/env
nf3d.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/nf3d/connobj.py
nf3d.noarch: W: no-manual-page-for-binary nf3d
1 packages and 0 specfiles checked; 6 errors, 3 warnings.

Please work with upstream to solve the above issues (FSF address and python sources with shebang)

[OK] MUST: The package must be named according to the Package Naming Guidelines 

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 

[OK] MUST: The package must meet the Packaging Guidelines .

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[OK] MUST: The License field in the package spec file must match the actual license

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc

[OK] MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible.

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

  CHECKSUM(SHA256) this package     : 26c9d9128879b0b97df5c5bd3efebd99ad4acfba8a84ae25931821b6a3fab409
  CHECKSUM(SHA256) upstream package : 26c9d9128879b0b97df5c5bd3efebd99ad4acfba8a84ae25931821b6a3fab409


[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.

[OK] MUST: Each package must consistently use macros

[OK] MUST: The package must contain code, or permissable content

[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[OK] MUST: All filenames in rpm packages must be valid UTF-8

Python
=============
[OK]: Package contains BR: python2-devel or python3-devel
[OK]: Binary eggs must be removed in %prep

Should
=========
[OK]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[OK]: Sources can be downloaded from URI in Source: tag
[OK]: Reviewer should test that the package builds in mock.
[OK]: Buildroot is not present
[OK]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[OK]: Dist tag is present.
[OK]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[OK]: SourceX tarball generation or download is documented.
[OK]: SourceX is a working URL.
[OK]: Spec use %global instead of %define.


Status: APPROVED.
Comment 5 Christopher Meng 2013-06-30 02:08:11 EDT
New Package SCM Request
=======================
Package Name: nf3d
Short Description: GANTT-style visualization for Netfilter connections and logged packets
Owners: cicku
Branches: f18 f19 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-06-30 09:45:43 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-09-12 08:26:13 EDT
nf3d-0.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nf3d-0.8-1.fc19
Comment 8 Fedora Update System 2013-09-12 08:29:56 EDT
nf3d-0.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nf3d-0.8-1.fc20
Comment 9 Fedora Update System 2013-09-12 08:31:04 EDT
nf3d-0.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nf3d-0.8-1.el6
Comment 10 Fedora Update System 2013-09-12 12:29:43 EDT
nf3d-0.8-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 11 Fedora Update System 2013-09-22 20:27:46 EDT
nf3d-0.8-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2013-09-22 20:42:17 EDT
nf3d-0.8-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-09-27 14:42:25 EDT
nf3d-0.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Christopher Meng 2014-03-03 00:36:16 EST
Package Change Request
======================
Package Name: nf3d
New Branches: epel7
Owners: cicku
Comment 15 Gwyn Ciesla 2014-03-03 08:01:38 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.